[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#443232: debootstrap: debootstrap doesn't parse options consistently

Package: debootstrap
Severity: minor

debootstrap doesn't recognize the '--arch' argument if one uses an '=' after it.


  % sudo debootstrap --verbose --arch=amd64 etch . http://debian.metacarta.com/debian
  E: No such script: http://debian.metacarta.com/debian


  sudo debootstrap --verbose --arch amd64 etch . http://debian.metacarta.com/debian
  I: Validating Packages
  I: Resolving dependencies of required packages...
  (seems to work)

This is not "broken" so much as irritatingly inconsistent.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-5-amd64
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages debootstrap depends on:
ii  binutils                      2.17-3     The GNU assembler, linker and bina
ii  wget                          1.10.2-2   retrieves files from the web

debootstrap recommends no packages.

-- no debconf information

Reply to: